TProtocolVersionTestResult (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TProtocolVersionTestResult

- java.lang.Object
- - com.sleepycat.thrift.TProtocolVersionTestResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TProtocolVersionTestResult>, org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TProtocolVersionTestResult
      extends java.lang.Object
      implements org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TProtocolVersionTestResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TProtocolVersionTestResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `message`
    `static java.util.Map<TProtocolVersionTestResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `boolean` | `serverBigEndian`
    `java.lang.String` | `serverProtocolVersion`
    `boolean` | `supported`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TProtocolVersionTestResult()`
    `TProtocolVersionTestResult(boolean supported, java.lang.String serverProtocolVersion, boolean serverBigEndian)`
    `TProtocolVersionTestResult(TProtocolVersionTestResult other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TProtocolVersionTestResult other)`
    `TProtocolVersionTestResult` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TProtocolVersionTestResult that)`
    `TProtocolVersionTestResult._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(TProtocolVersionTestResult._Fields field)`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getServerProtocolVersion()`
    `int` | `hashCode()`
    `boolean` | `isServerBigEndian()`
    `boolean` | `isSet(TProtocolVersionTestResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMessage()` Returns true if field message is set (has been assigned a value) and false otherwise
    `boolean` | `isSetServerBigEndian()` Returns true if field serverBigEndian is set (has been assigned a value) and false otherwise
    `boolean` | `isSetServerProtocolVersion()` Returns true if field serverProtocolVersion is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSupported()` Returns true if field supported is set (has been assigned a value) and false otherwise
    `boolean` | `isSupported()`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(TProtocolVersionTestResult._Fields field, java.lang.Object value)`
    `TProtocolVersionTestResult` | `setMessage(java.lang.String message)`
    `void` | `setMessageIsSet(boolean value)`
    `TProtocolVersionTestResult` | `setServerBigEndian(boolean serverBigEndian)`
    `void` | `setServerBigEndianIsSet(boolean value)`
    `TProtocolVersionTestResult` | `setServerProtocolVersion(java.lang.String serverProtocolVersion)`
    `void` | `setServerProtocolVersionIsSet(boolean value)`
    `TProtocolVersionTestResult` | `setSupported(boolean supported)`
    `void` | `setSupportedIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetMessage()`
    `void` | `unsetServerBigEndian()`
    `void` | `unsetServerProtocolVersion()`
    `void` | `unsetSupported()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### supported

          public boolean supported

    - #### serverProtocolVersion

          public java.lang.String serverProtocolVersion

    - #### serverBigEndian

          public boolean serverBigEndian

    - #### message

          public java.lang.String message

    - #### metaDataMap

          public static final java.util.Map<TProtocolVersionTestResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TProtocolVersionTestResult

          public TProtocolVersionTestResult()

    - #### TProtocolVersionTestResult

          public TProtocolVersionTestResult(boolean supported,
                                            java.lang.String serverProtocolVersion,
                                            boolean serverBigEndian)

    - #### TProtocolVersionTestResult

          public TProtocolVersionTestResult(TProtocolVersionTestResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TProtocolVersionTestResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>`

    - #### isSupported

          public boolean isSupported()

    - #### setSupported

          public TProtocolVersionTestResult setSupported(boolean supported)

    - #### unsetSupported

          public void unsetSupported()

    - #### isSetSupported

          public boolean isSetSupported()

      Returns true if field supported is set (has been assigned a value) and false otherwise

    - #### setSupportedIsSet

          public void setSupportedIsSet(boolean value)

    - #### getServerProtocolVersion

          public java.lang.String getServerProtocolVersion()

    - #### setServerProtocolVersion

          public TProtocolVersionTestResult setServerProtocolVersion(java.lang.String serverProtocolVersion)

    - #### unsetServerProtocolVersion

          public void unsetServerProtocolVersion()

    - #### isSetServerProtocolVersion

          public boolean isSetServerProtocolVersion()

      Returns true if field serverProtocolVersion is set (has been assigned a value) and false otherwise

    - #### setServerProtocolVersionIsSet

          public void setServerProtocolVersionIsSet(boolean value)

    - #### isServerBigEndian

          public boolean isServerBigEndian()

    - #### setServerBigEndian

          public TProtocolVersionTestResult setServerBigEndian(boolean serverBigEndian)

    - #### unsetServerBigEndian

          public void unsetServerBigEndian()

    - #### isSetServerBigEndian

          public boolean isSetServerBigEndian()

      Returns true if field serverBigEndian is set (has been assigned a value) and false otherwise

    - #### setServerBigEndianIsSet

          public void setServerBigEndianIsSet(boolean value)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public TProtocolVersionTestResult setMessage(java.lang.String message)

    - #### unsetMessage

          public void unsetMessage()

    - #### isSetMessage

          public boolean isSetMessage()

      Returns true if field message is set (has been assigned a value) and false otherwise

    - #### setMessageIsSet

          public void setMessageIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TProtocolVersionTestResult._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TProtocolVersionTestResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>`

    - #### isSet

          public boolean isSet(TProtocolVersionTestResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TProtocolVersionTestResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TProtocolVersionTestResult other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TProtocolVersionTestResult>`

    - #### fieldForId

          public TProtocolVersionTestResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TProtocolVersionTestResult,TProtocolVersionTestResult._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.